import { jsx as a } from "react/jsx-runtime";
import { t as m } from "./index-ZQlxzdt5.js";
import { A as c } from "./AppCard-cTGNOAHy.js";
import { u as l } from "./useIsAppEnabled-V8Jl9FX-.js";
import u from "./EventTypeAppSettingsInterface-SrOLSflD.js";
const g = function({ eventType: e, app: t }) {
  var p;
  const { enabled: r, updateEnabled: s } = l(t), { disabled: o, getAppData: n, setAppData: d } = m();
  return /* @__PURE__ */ a(
    c,
    {
      app: t,
      switchOnClick: (i) => {
        s(i);
      },
      switchChecked: r,
      teamId: ((p = e.team) == null ? void 0 : p.id) || void 0,
      children: /* @__PURE__ */ a(
        u,
        {
          eventType: e,
          slug: t.slug,
          disabled: o,
          getAppData: n,
          setAppData: d
        }
      )
    }
  );
};
export {
  g as default
};
